#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: kan-extensions
version: 5.1
id: kan-extensions-5.1-qILi8VG3TcIkuVM206xDE
key: kan-extensions-5.1-qILi8VG3TcIkuVM206xDE
license: BSD-3-Clause
copyright: Copyright (C) 2008-2016 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: provisional
homepage: http://github.com/ekmett/kan-extensions/
synopsis: Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads
description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.
category: Data Structures, Monads, Comonads, Functors
abi: e4690917b78c42d10da5ee16e1cd53ac
exposed: True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda
import-dirs: /usr/lib/ghc-8.4.2/site-local/kan-extensions-5.1
library-dirs: /usr/lib/ghc-8.4.2/site-local/kan-extensions-5.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/kan-extensions-5.1
hs-libraries: HSkan-extensions-5.1-qILi8VG3TcIkuVM206xDE
includes:
    kan-extensions-common.h
depends:
    adjunctions-4.4-JAWblqGoBgE8l6ZgYNT0Jw array-0.5.2.0 base-4.11.1.0
    comonad-5.0.3-6ylza6ScB7N7Q08Lve5Gxh containers-0.5.11.0
    contravariant-1.4.1-JhNCvr1Fz7s6tlm4ZNUadw
    distributive-0.5.3-BPzGAD4fktRF9IRamEtyY6
    free-5.0.2-KW5kggugeyA2HejdhsGvgO mtl-2.2.2
    profunctors-5.2.2-FfP61adEtl33J2AjvYdae8
    semigroupoids-5.2.2-FKWZP9BYXbs6DfG7FWjxE3
    tagged-0.8.5-4aJAXKXx6EG2eN1SZxMb6L transformers-0.5.5.0
    transformers-compat-0.5.1.4-BG7wgRauI8h5onKXiYZE4l
abi-depends: adjunctions-4.4-JAWblqGoBgE8l6ZgYNT0Jw=8fd5137f97e6f57e26ff14f56274ace0
             array-0.5.2.0=59560c027ff6ea5b7e467a38c579b575
             base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             comonad-5.0.3-6ylza6ScB7N7Q08Lve5Gxh=b105d508df43aebaef37e31239733528
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             contravariant-1.4.1-JhNCvr1Fz7s6tlm4ZNUadw=392933da93f41717388f4fa27a3e8ff9
             distributive-0.5.3-BPzGAD4fktRF9IRamEtyY6=5b08d25580c3bdc657f71d0d87a2bec0
             free-5.0.2-KW5kggugeyA2HejdhsGvgO=47f28b7ec17e143652b216633b573ce9
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             profunctors-5.2.2-FfP61adEtl33J2AjvYdae8=380a192e7101ba55a8493414c546d00a
             semigroupoids-5.2.2-FKWZP9BYXbs6DfG7FWjxE3=514794c081ce55541a214d1bed866bb2
             tagged-0.8.5-4aJAXKXx6EG2eN1SZxMb6L=2b53c2b572baba5bb3539acb48e27eca
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             transformers-compat-0.5.1.4-BG7wgRauI8h5onKXiYZE4l=61c266daf0974ee97d7e012fc3e96535
haddock-interfaces: /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock
haddock-html: /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

